#!/bin/sh
# jphwang(2105.04.07) : supports Ubuntu14.04, Hint from "VenusDrv-1.0.4-3"
KER_VER=`uname -r`
DRIVER_PATH="/lib/modules/$KER_VER/kernel/drivers/usb/misc/"
device="nfrd08c"
drv_file="$device.ko"
h_file="$device.h"
rule_file="99-Nitgen-$device.rules"
echo "uninstalling driver......."
#remove stale node
  rm -f /dev/${device}[0-7]

# uninstall driver from kernel space
 /sbin/rmmod $drv_file
  
#delete module from source
	if [ -f $DRIVER_PATH/$drv_file ]; then
		rm -f $DRIVER_PATH/$drv_file
	fi
#remove headerfile
	if [ -f /usr/include/linux/$h_file ]; then
		rm -f /usr/include/linux/$h_file
	fi
        if [ -f /etc/udev/rules.d/$rule_file ] ; then
                rm -f /etc/udev/rules.d/$rule_file
        fi

/sbin/depmod

echo "driver un-installed successfully"
